cURL
curl --request POST \
--url https://api.smartbills.io/v1/businesses/{businessId}/vendors/{vendorId}/runs/{runId}/interactions \
--header 'Content-Type: application/json' \
--data '{
"input": {}
}'import requests
url = "https://api.smartbills.io/v1/businesses/{businessId}/vendors/{vendorId}/runs/{runId}/interactions"
payload = { "input": {} }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({input: {}})
};
fetch('https://api.smartbills.io/v1/businesses/{businessId}/vendors/{vendorId}/runs/{runId}/interactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"externalId": "<string>",
"accountId": 123,
"vendor": {
"id": 123,
"name": "<string>"
},
"username": "<string>",
"queuedAt": "2023-11-07T05:31:56Z",
"startedAt": "2023-11-07T05:31:56Z",
"endedAt": "2023-11-07T05:31:56Z",
"durationMs": 123,
"interaction": {
"type": "<string>",
"message": "<string>",
"expiresAt": "2023-11-07T05:31:56Z",
"requiredAt": "2023-11-07T05:31:56Z",
"resolvedAt": "2023-11-07T05:31:56Z",
"fields": [
{
"name": "<string>",
"label": "<string>",
"type": "<string>",
"required": true,
"secret": true,
"options": [
{
"value": "<string>",
"label": "<string>"
}
]
}
]
},
"failure": {
"code": "<string>",
"message": "<string>"
},
"events": [
{
"eventType": "<string>",
"occurredAt": "2023-11-07T05:31:56Z"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}BusinessVendorRuns
Post v1businesses vendors runs interactions
POST
/
v1
/
businesses
/
{businessId}
/
vendors
/
{vendorId}
/
runs
/
{runId}
/
interactions
cURL
Path Parameters
Body
application/jsontext/jsonapplication/*+json
Show child attributes
Show child attributes
Response
OK
Show child attributes
Show child attributes
Available options:
UNKNOWN, QUEUED, RUNNING, PENDING, INTERACTION_REQUIRED, REVIEW_REQUIRED, COMPLETED, FAILED, CANCELING, CANCELED Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I